# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class QueryAnalysisValidationResult(Model):
    """Results for query analysis comparison between the source and target.

    Variables are only populated by the server, and will be ignored when
    sending a request.

    :ivar query_results: List of queries executed and it's execution results
     in source and target
    :vartype query_results:
     ~azure.mgmt.datamigration.models.QueryExecutionResult
    :ivar validation_errors: Errors that are part of the execution
    :vartype validation_errors:
     ~azure.mgmt.datamigration.models.ValidationError
    """

    _validation = {
        'query_results': {'readonly': True},
        'validation_errors': {'readonly': True},
    }

    _attribute_map = {
        'query_results': {'key': 'queryResults', 'type': 'QueryExecutionResult'},
        'validation_errors': {'key': 'validationErrors', 'type': 'ValidationError'},
    }

    def __init__(self, **kwargs) -> None:
        super(QueryAnalysisValidationResult, self).__init__(**kwargs)
        self.query_results = None
        self.validation_errors = None
